<template>
  <div>
    <p class="text-2xl font-bold mb-5">用户管理</p>
    <topbar :type="type" />
    <super-manager-table />
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import topbar from '@/components/UserManage/topBar.vue'
import { addUser } from '@/components/UserManage/const'
import SuperManagerTable from '@/components/UserManage/superManagerTable.vue'
import { mapActions } from 'vuex'
export default Vue.extend({
  components: { topbar, SuperManagerTable },
  props: {},
  computed: {
    type() {
      return addUser.superManager
    },
  },
  mounted() {
    this.fetchList()
  },
  methods: {
    ...mapActions('platformUserManagement', {
      platformQuery: 'query',
    }),
    fetchList() {
      this.platformQuery()
    },
  },
})
</script>

<style scoped></style>
